Farmhub
Search…
Wallet Providers
Our project requires you to install a wallet provider

Why was I sent here?

In order to use our dApp, you must install a valid wallet and supported wallet provider.
Here is a list of wallet providers our dApp currently supports:
Supported:
Work in progress ( currently not supported )
We recommend you to use MetaMask at this time, as it is flawlessly integrated with all Farmhub projects. For a guide on how to set-up a MetaMask wallet, click here
Remember to never reveal your seed phrase or private keys to anyone, and do not enter your seed phrase into ANY website under ANY circumstance! Even if the website looks legitimate and trustworthy.
Last modified 6mo ago
Copy link